import {Component, OnInit} from '@angular/core';
import {FormBuilder, FormGroup, Validators} from '@angular/forms';

@Component({
    selector: 'smart-media-type',
    templateUrl: './media-type.component.html',
    styles: []
})
export class MediaTypeComponent implements OnInit {

    isVisible = false;
    title;
    validateForm:FormGroup;

    constructor(private fb:FormBuilder) {
    }

    ngOnInit() {
        this.validateForm = this.fb.group({
            name:[null,[Validators.required]]
        })
    }

    showModal() {
        this.isVisible = true;
    }

    handleCancel() {
        this.isVisible = false;
    }

    handleOk() {
        this.isVisible = false;
    }

}
